#include <stdio.h>
#include <stdlib.h>
int main(){
    int n;
    scanf("%d",&n);
    int a[n],p[n];
    double s,smax=0;
    for(int i=0;i<n;i++)
        scanf("%d%d",&a[i],&p[i]);
    for(int i=0;i<n;i++)
        for(int j=0;j<n;j++){
            if(p[i]<=p[j])
                s=(float)(a[0])*p[j]/100;
            if(s>smax)
                smax=s;
        }
    printf("%lf",smax);
    return 0;
}